Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82906 - CRLF injection
Summary: CRLF injection
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: lynx
Version: 2.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Brian Brock
URL: http://www.mail-archive.com/bugtraq@s...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-28 11:34 UTC by Tim Waugh
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-21 08:43:24 UTC


Attachments (Terms of Use)
Better test case (deleted)
2003-02-12 17:00 UTC, Tim Waugh
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:030 high SHIPPED_LIVE Low: lynx security update 2003-01-28 05:00:00 UTC

Description Tim Waugh 2003-01-28 11:34:58 UTC
Description of problem:
lynx is vulnerable to CRLF injection:
http://www.mail-archive.com/bugtraq@securityfocus.com/msg08897.html

Version-Release number of selected component (if applicable):
2.8.4-17

How reproducible:
100%

Steps to Reproduce:
1. lynx "http://www.redhat.com HTTP/1.0
Host: www.microsoft.com

"
    
Actual results:
Microsoft's front page.

Expected results:
Invalid URL.

Additional info:

Comment 1 Tim Waugh 2003-02-12 17:00:49 UTC
Created attachment 90035 [details]
Better test case

Use this test procedure instead.

1. ./test-lynx.sh
2. Examine output.  Fail if any of the numbered output lines are 'Host:
www.redhat.com' (the script will say 'FAIL' too).

Comment 3 Mark J. Cox 2003-02-21 08:43:24 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-030.html



Note You need to log in before you can comment on or make changes to this bug.